# 8. Mutación: generar "RasterMap"

Generar "RasterMap" para el "Field".

{% hint style="info" %}
El tiempo de ejecución es diferente (desde 4 seg hasta 5 min), depende del número de imágenes y del área del campo a procesar, y la Suscripción se recibirá después de la generación exitosa del "RasterMap".
{% endhint %}

{% hint style="danger" %}
Recomendamos utilizar el **enfoque** asíncrono para generar RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación GenerateRasterMap {
  generateRasterAnalysisMap(entrada: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<marcador_de_posicion_de_uuid_imagen_satelital_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    name
    centroid {
      latitude
      longitude
    }
    cajaDelimitadora
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/8.-mutacion-generar-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
